
%if 0%{?fedora} || 0%{?rhel} > 7
%global with_python3 1
%endif

%global desc This tool provides code to load WSGI applications and servers from\
URIs; these URIs can refer to Python Eggs for INI-style configuration\
files.  PasteScript provides commands to serve applications based on\
this configuration file.
%global sum Load, configure, and compose WSGI applications and servers

Name:           python-paste-deploy
Version:        1.5.2
Release:        17%{?dist}
Summary:        %{sum}
Group:          System Environment/Libraries
License:        MIT
URL:            http://pythonpaste.org/deploy
Source0:        http://cheeseshop.python.org/packages/source/P/PasteDeploy/PasteDeploy-%{version}.tar.gz
BuildArch:      noarch

# 1.5.0+ dropped Python 2.4 support
BuildRequires:  python2-devel > 2.4
BuildRequires:  python2-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif


%description
%{desc}


%package -n python2-paste-deploy
Summary:        %{sum}

Requires:       python2-paste
Requires:       python2-setuptools

%{?python_provide:%python_provide python2-paste-deploy}


%description -n python2-paste-deploy
%{desc}


%if 0%{?with_python3}
%package -n python3-paste-deploy
Summary:        %{sum}
Group:          System Environment/Libraries

Requires:       python3-paste
Requires:       python3-setuptools

%{?python_provide:%python_provide python3-paste-deploy}


%description -n python3-paste-deploy
%desc

%endif


%prep
%setup -q -n PasteDeploy-%{version}

# Remove bundled egg-info if it exists
rm -rf *.egg-info

mv docs/license.txt license.txt


%build
%py2_build

%if 0%{?with_python3}
%py3_build
%endif


%install
%py2_install
rm -rf %{buildroot}%{python2_sitelib}/test

%if 0%{?with_python3}
%py3_install
rm -rf %{buildroot}%{python3_sitelib}/test
%endif


%files -n python2-paste-deploy
%license license.txt
%doc docs/*
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-paste-deploy
%license license.txt
%doc docs/*
%{python3_sitelib}/*
%endif


%changelog
* Mon Jul 16 2018 Dan Callaghan <dcallagh@redhat.com> - 1.5.2-17
- invoke Python 2 explicitly, use modern Python RPM macros

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Sun Jun 17 2018 Miro Hrončok <mhroncok@redhat.com> - 1.5.2-15
- Rebuilt for Python 3.7

* Mon Feb 12 2018 Iryna Shcherbina <ishcherb@redhat.com> - 1.5.2-14
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 29 2017 Troy Dawson <tdawson@redhat.com> - 1.5.2-12
- Cleanup spec file conditionals

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 1.5.2-9
- Rebuild for Python 3.6

* Mon Dec 05 2016 Randy Barlow <bowlofeggs@fedoraproject.org> - 1.5.2-8
- Use the Python provides macro to make a python-2 subpackage (#1399573).
- Mark license.txt as a license.
- Depend on python3-paste and remove a no-longer-correct comment.
- Move BuildRequires to top.
- Create global for description and summary.
- Don't remove the buildroot at the beginning of install.
- Drop defattr from the files section.

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-7
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Nov 10 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-5
- Rebuilt for https://fedoraproject.org/wiki/Changes/python3.5

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Wed Feb 12 2014 Ralph Bean <rbean@redhat.com> - 1.5.2-1
- Latest upstream.

* Mon Aug 19 2013 Ralph Bean <rbean@redhat.com> - 1.5.0-10
- Fix typo in with_python3 conditional; patch from Tomas Dabašinskas.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 1.5.0-8
- Removed extra dependency on python3-paste.

* Wed Feb 27 2013 Ralph Bean <rbean@redhat.com> - 1.5.0-7
- Added python3 subpackage.
- Corrected pythonsitelib typo in %%install section.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 26 2012 Toshio Kuratomi <toshio@fedoraproject.org> - 1.5.0-4
- Add dependency on python-setuptools since parts of paste.deploy rely on
  pkg_resources

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Jul 11 2011 Toshio Kuratomi <toshio@fedoraproject.org> - 1.5.0-2
- Remove the test directory as it serves no purpose and pollutes the global namespace
  https://bugzilla.redhat.com/show_bug.cgi?id=720055

* Thu Jun 16 2011 Luke Macken <lmacken@redhat.com> - 1.5.0-1
- Update to 1.5.0

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 30 2010 Luke Macken <lmacken@redhat.com> - 1.3.4-1
- Update to 1.3.4

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 1.3.3-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jan 28 2010 Toshio Kuratomi <toshio@fedoraproject.org> - 1.3.3-2
- Modernise the build

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun May 31 2009 Luke Macken <lmacken@redhat.com> - 1.3.3-1
- Update to 1.3.3

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 1.3.2-2
- Rebuild for Python 2.6

* Sat Jun 14 2008 Luke Macken <lmacken@redhat.com> - 1.3.2-3
- Update to PasteDeploy 1.3.2

* Sun Sep  2 2007 Luke Macken <lmacken@redhat.com> - 1.3.1-2
- Update for python-setuptools changes in rawhide

* Sun Jul  8 2007 Luke Macken <lmacken@redhat.com> - 1.3.1-1
- 1.3.1

* Sat Mar  3 2007 Luke Macken <lmacken@redhat.com> - 1.1-1
- 1.1

* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> - 1.0-2
- Add python-devel to BuildRequires
- 1.0

* Sun Sep 17 2006 Luke Macken <lmacken@redhat.com> - 0.9.6-1
- 0.9.6

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> - 0.5-4
- Rebuild for FC6

* Mon Aug 21 2006 Luke Macken <lmacken@redhat.com> - 0.5-3
- Include .pyo files instead of ghosting them.

* Mon Jul 24 2006 Luke Macken <lmacken@redhat.com> - 0.5-2
- Fix docs inclusion
- Rename package to python-paste-deploy
- Fix inconsistent use of buildroots

* Mon Jul 10 2006 Luke Macken <lmacken@redhat.com> - 0.5-1
- Initial package
